HELICS_APP-TRACER(1)

NAME
helics_app-tracer - display data from endpoints and publications in a federation

SYNOPSIS

helics_app tracer [-v|--version] [-h|-?|--help]
    [--quiet] [--config-file <file>] [--local]
    [--stop <time>] [--input <file>]
    [--allow_iteration] [--print] [--skiplog]
    [--clone <endpoint>] [--sourceclone <endpoint>]
    [--destclone <endpoint>] [--endpoints <endpoint>]
    [--capture <federate(s)>]
    [--tag|--publication|--pub <publication>]

DESCRIPTION

The tracer application provides an easy way to display data from a federation. It acts as a federate that can "capture" values from specific publications and messages from direct or cloned endpoints which exist elsewhere and display them. The main use is as a visual indicator of what’s happening and a monitoring app.

OPTIONS

--allow_iteration
    Allow iteration on values.

--print
    Print messages to the screen.

--skiplog
    Print messages to the screen through cout.

--clone <endpoint>
    Add an endpoint to capture all messages (to and from). This argument can be given multiple times.

--sourceclone <endpoint>
    Add an endpoint to capture all the messages it sends. This argument can be given multiple times.

--destclone <endpoint>
    Add an endpoint to capture all messages it receives. This argument can be given multiple times.

--endpoints <endpoint>
    Endpoints to capture messages for. This argument can be given multiple times.

--capture <federate>
    Federate to capture all publications from. This argument can be given multiple times. Comma or semicolon separated lists (e.g. fed1;fed2) are also supported.

--tag, --pub, --publication <publication>
    Publications (tags) to capture values from. This argument can be given multiple times.

--input
    The primary input file.

-v, --version
    Prints the HELICS version used.

-h, -?, --help
    Prints usage, options, and available subcommands.

--config-file <file>
    The base command line argument configuration file. A file named helics_config.ini is the default.

--quiet
    Silence most printed output.

--local
    Specify otherwise unspecified endpoints and publications as local. The publication and endpoint names will be preprended the player name.

--stop <time>
    The time to stop the app.

  Federate Info

-n, --name <name>
    Name of the federate.

--corename <name>
    The name of the core to create or find.

-i, --coreinit, --coreinitstring <init str>
    The initialization arguments for the core.

--brokerinit, --brokerinitstring <init str>
    The initialization arguments for the broker if autogenerated.

--broker, --brokeraddress <address>
    Address or name of the broker to connect to.

--brokerport <num>
    Port number of the broker.

--port <num>
    Specify the port number to use.

--localport <num>
    Port number to use for connections to this federate.

--autobroker
    Automatically generate a broker if needed.

--key, --broker_key <key>
    Specify a key to use to verify all connections to/from a broker.

--offset <time>
    The offset of the time steps (default in ms).

--period <time>
    The execution cycle time of the federate (default in ms).

--timedelta <time>
    The minimum time between time grants for a federate (default in ms).

--inputdelay <time>
    The input delay on incoming communication of the federate (default in ms).

--outputdelay <time>
    The output delay for outgoing communication of the federate (default in in ms).

--maxiterations <num>
    The maximum number of iterations a federate is allowed to take.

--loglevel <level>
    The level at which to log messages; higher values result in more detailed logging. Use -1 for no logging. Named levels are connections(3), data(6), error(0), interfaces(4), no_print(-1), none(-1), summary(2), timing(5), trace(7), and warning(1).

--separator <char>
    Separator character for local federates. Default is /.

-f, --flag, --flags <flag>
    Named flag for the federate. Argument can be used multiple times.

-t, --type, --core, --coretype
    The type of core to connect to. Options include zmq (default), zmqss, tcp, tcpss, udp, mpi, and test.

--rtlag <time>
    The amount of time the federate is allowed to lag realtime before corrective action is taken (default in ms).

--rtlead <time>
    The amount of time the federate is allowed to lead realtime before corrective action is taken (default in ms).

--rttolerance <time>
    The time tolerance of the real time mode (default in ms).